.debug-y :nth-child(odd) {
    border: 2px solid black;
}

.debug-y :nth-child(even) {
    border: 2px solid red;
}

body{
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: 'Roboto Black', sans-serif;
    font-size: 14px;
}
body{
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}
main{
    flex: 1;
}
.grid-container{
    display: grid;
    grid-template-columns:  repeat(2, minmax(500px, 1fr));
    grid-template-rows: auto 1em;
    align-items: start;
    justify-content: center;
    width: 85%;
    margin: auto;
}
.paid-border{
    --gradient-color: #7db87f;
    --gradient-end: #7db87f;
    background-image: linear-gradient(to right, var(--gradient-color), var(--gradient-end) var(--gradient-breakpoint));
    height: .5em;
    grid-column-start: 1;
    grid-column-end: 4;
}
.paid-border_overage{
    --gradient-end: transparent;
}
.unplanned{
    background: #fffbd9;
}
nav{
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}
nav a{
    text-decoration: none;
    color: inherit;
}
header{
    display: flex;
    margin: 1.5rem;
    width: 85%;
    justify-content: space-between;
    align-items: center;
}
.large-text{
    font-size: 3rem;
}
.menu{
    /* font-size:  */
    margin: 6px 0 6px 0;
    display: flex;
}
.menu > :not(last-child){
    margin-right: 1.75rem;
}
section{
    display:flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}
article{
    margin: 1.5rem;
    width: 85%;
}
.heads-up{
    display: grid;
    grid-template-columns: 1fr 3fr;
}
.grey{
    background: #444;
    color: #fff;
}
.d-flex-column{
    display: flex;
    flex-direction: column;
    justify-content: center;
    margin: .25em;
    max-height: 80px;
}
.d-flex-row{
    display: flex;
    flex-direction: row;
    justify-content: center;
    margin: .25em;
}
#meter{
    position: relative;
    display: inherit;
    height: 1em;
    width: 100%;
    background: #c5c5c5;
}
#meter:before{
    display: block;
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: var(--meter-fill);
    background: green;
    z-index: 1;
}
.my-1 *{
    margin-top: .15em;
    margin-bottom: .15em;
}
.list-group > div:not(:last-child){
    border-bottom: 1px solid #e2e2e2;
}
.test{
    display: grid;
    grid-template-columns: 1fr 2fr 1fr;
    border-style: solid;
    border-width: 1px;
    border-color: #e2e2e2;
}
.outlined-btn{
    background: green;
    color: white;
    font-family: Roboto;
    padding: .5rem 1.25rem;
    border-radius: 30px;
    border: none;
    /*font-size: .7rem;*/
    width: unset;
}
#payment-action, 
#add-expense, 
#add-recurring, 
#cumulative-expense,
#cumulative-payment-action{
    flex-direction: column;
    align-items: center;
    justify-content: center;
    position: fixed;
    top: 0;
    left: 0;
    height: 100vh;
    width: 100vw;
    background: rgba(0,0,0,0.3);
    backdrop-filter: blur(5px);
    z-index: 999;
}
form{
    display: inherit;
    flex-direction: column;
    width: 50%;
    max-height: 80vh;
    overflow-y: auto;
    padding: 1em;
    background: #fff;
    z-index: 999;
    
}
form input,
form textarea,
form select{
    font-weight: 100;
    margin-bottom: 1em;
}
.form-group *:not(span){
    display: block;
    margin: .25rem;
}
.form-group input,
.form-group select,
.form-group textarea{
    padding: .25em 0;
    width: 100% ;
}
.cumulative-item:not(:last-child)::after{
    content: ", ";
    white-space: pre;
}
.warning{
    /* background: rgb(255, 126, 7); */
}
#paid-toggle, #unpaid-toggle{
    display: none;
}
#paid-toggle:checked + div, 
#unpaid-toggle:checked + div{
    display: none;
}
@media screen and (max-width: 900px) {
    body{
        font-size: 18px;
    }
    header{
        display: flex;
        flex-direction: column;
        align-items: unset;
        margin: 1.5rem;
        width: 95%;
        
    }
    .test{
        grid-template-columns: 1fr 2fr 1fr;
        border-style: unset;
        border-bottom-style: solid;
    }
    .grid-container{
        grid-template-columns: repeat(auto-fit, minmax(100%, 1fr));
        width: 100%;
    }
    #payment-action, #add-expense{
        flex-direction: column;
        align-items: center;
        justify-content: center;
        position: fixed;
        top: 0;
        left: 0;
        height: 100vh;
        width: 100vw;
        background: rgba(0,0,0,0.3);
        backdrop-filter: blur(5px);
        z-index: 999;
    }
    form{
        display: inherit;
        flex-direction: column;
        width: 90%;
        max-height: 95vh;
        overflow-y: auto;
        padding: 1em;
        background: #fff;
        z-index: 999;
        
    }
    .small-text{
        font-size: .9rem;
    }
}